package com.prolog.cs.biz.inbound.remote.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 *
 * ASN单汇总查询VO
 *
 */

public class OmsAsnBillHQueryVO implements Serializable {

	private static final long serialVersionUID = 6397108603212014590L;

	@ApiModelProperty(value = "当前页")
	private int pageNum;

	@ApiModelProperty(value = "页面大小")
	private int pageSize;

	@ApiModelProperty(value = "开始日期")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date sdate;

	@ApiModelProperty(value = "结束日期")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date edate;

	@ApiModelProperty(value = "预定到货日期 开始")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date sAttainDate;

	@ApiModelProperty(value = "预定到货日期 结束")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date eAttainDate;

	@ApiModelProperty(value = "货主id")
	private String consignorid;

	@ApiModelProperty(value = "供应商")
	private String shipperId;

	@ApiModelProperty(value = "入库仓库编号")
	private String branchid;

	@ApiModelProperty(value = "ASN单号")
	private String billno;

	@ApiModelProperty(value = "货主单据号")
	private String refBillno;

	@ApiModelProperty(value = "创建人、录入员")
	private String createby;

	@ApiModelProperty(value = "到货方式")
	private String arrivalMode;

	@ApiModelProperty(value = "运输条件")
	private String shipTerm;

	@ApiModelProperty(value = "入库单据类型")
	private String billtype;

	// 新增查询条件
	@ApiModelProperty(value = "订单紧急等级")
	private String priorityLevel;

	@ApiModelProperty(value = "采购员名称")
	private String buyerName;

	@ApiModelProperty(value = "来源单号列表(ASN)")
	private String asnAutoBillNum;

	public String getBuyerName() {
		return buyerName;
	}

	public void setBuyerName(String buyerName) {
		this.buyerName = buyerName;
	}

	public String getPriorityLevel() {
		return priorityLevel;
	}

	public void setPriorityLevel(String priorityLevel) {
		this.priorityLevel = priorityLevel;
	}

	public int getPageNum() {
		return pageNum;
	}

	public void setPageNum(int pageNum) {
		this.pageNum = pageNum;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public Date getSdate() {
		return sdate;
	}

	public void setSdate(Date sdate) {
		this.sdate = sdate;
	}

	public Date getEdate() {
		return edate;
	}

	public void setEdate(Date edate) {
		this.edate = edate;
	}

	public Date getsAttainDate() {
		return sAttainDate;
	}

	public void setsAttainDate(Date sAttainDate) {
		this.sAttainDate = sAttainDate;
	}

	public Date geteAttainDate() {
		return eAttainDate;
	}

	public void seteAttainDate(Date eAttainDate) {
		this.eAttainDate = eAttainDate;
	}

	public String getConsignorid() {
		return consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getShipperId() {
		return shipperId;
	}

	public void setShipperId(String shipperId) {
		this.shipperId = shipperId;
	}

	public String getBranchid() {
		return branchid;
	}

	public void setBranchid(String branchid) {
		this.branchid = branchid;
	}

	public String getBillno() {
		return billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getRefBillno() {
		return refBillno;
	}

	public void setRefBillno(String refBillno) {
		this.refBillno = refBillno;
	}

	public String getCreateby() {
		return createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public String getArrivalMode() {
		return arrivalMode;
	}

	public void setArrivalMode(String arrivalMode) {
		this.arrivalMode = arrivalMode;
	}

	public String getShipTerm() {
		return shipTerm;
	}

	public void setShipTerm(String shipTerm) {
		this.shipTerm = shipTerm;
	}

	public String getBilltype() {
		return billtype;
	}

	public void setBilltype(String billtype) {
		this.billtype = billtype;
	}

	public String getAsnAutoBillNum() { return asnAutoBillNum; }

	public void setAsnAutoBillNum(String asnAutoBillNum) { this.asnAutoBillNum = asnAutoBillNum; }
}
